Send a test event to a webhook
POST
/organizations/{org_id}/webhooks/{target_id}/test
const url = 'https://api.perstat.io/organizations/example/webhooks/example/test';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.perstat.io/organizations/example/webhooks/example/test \ --header 'Authorization: Bearer <token>'Synchronously delivers an incident.test event to exactly this webhook or Slack target with a 10 second timeout, and records the outcome as the target’s last delivery attempt. Returns whether delivery succeeded and any transport-level error message. Requires project management rights.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
target_id
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
error
string | null
ok
required
boolean
Examplegenerated
{ "error": "example", "ok": true}